//
// orthographies.h
//
// This file is part of the FONTAINE project
// (c) 2009, 2015 by Edward H. Trager
//
// Last update: 2015.01.23.ET
//
// NOTA BENE: The includes are now sorted in strictly alphabetic order
//            When adding new orthographies, you can append a comment 
//            to indicate a category (e.g., "Latin", "Chinese", etc. )
//
//#include "CJKA.h"                      // Category=Chinese CJK Extension A
//#include "ExtendedArabic.h"            // Category=Arabic
//
//
#include "Afrikaans.h"                 // Category=Latin
#include "Ahom.h"
#include "AleutCyrillic.h"
#include "AleutLatin.h"
#include "Arabic.h"                    // Category=Arabic
#include "ArchaicGreekLetters.h"       // Category=Greek
#include "Armenian.h"
#include "Astronomy.h"
#include "Balinese.h"
#include "Baltic.h"                    // Category=Latin
#include "Bamum.h"
#include "BasicCyrillic.h"             // Category=Cyrillic
#include "BasicGreek.h"                // Category=Greek
#include "BasicLatin.h"                // Category=Latin
#include "Batak.h"
#include "Bengali.h"                   // Category=Indic
#include "Brahmi.h"
#include "Buginese.h"
#include "CanadianSyllabics.h"
#include "Carian.h"
#include "Catalan.h"                   // Category=Latin
#include "CentralEuropean.h"           // Category=Latin
#include "Chakma.h"
#include "Cham.h"
#include "Cherokee.h"
#include "ChessSymbols.h"
#include "ClaudianLetters.h"           // Category=Latin
#include "Coptic.h"                    // Category=Greek
#include "Currencies.h"
#include "CypriotSyllabary.h"          // Category=Historic
#include "Devanagari.h"                // Category=Indic
#include "Dutch.h"                     // Category=Latin
#include "EgyptianHieroglyphs.h"       // Category=Historic
#include "Emoticons.h"
#include "Ethiopic.h"
#include "Euro.h"                      // Category=Latin
#include "Farsi.h"                     // Category=Arabic
#include "Food.h"
#include "FullCyrillic.h"
#include "Georgian.h"
#include "Glagolitic.h"
#include "Gothic.h"
#include "Gujarati.h"                  // Category=Indic
#include "Gurmukhi.h"                  // Category=Indic
#include "HKSCS.h"                     // Category=Chinese Hong Kong supplementary plane set
#include "Hangul.h"                    // Category=Korean
#include "Hanunoo.h"                   // Category=Philippine
#include "Hebrew.h"
#include "IPA.h"                       // Category=Latin
#include "IgboOnwu.h"
#include "Jamo.h"                      // Category=Korean Includes BOTH Jamo and Compatability Jamo blocks
#include "Javanese.h"
#include "Jinmeiyo.h"                  // Category=Japanese Person and place name set
#include "Joyo.h"                      // Category=Japanese Standard education set
#include "Kaithi.h"                    // Category=Indic
#include "Kana.h"                      // Category=Japanese Hiragana and Katakana sets
#include "Kannada.h"                   // Category=Indic
#include "KayahLi.h"
#include "Kazakh.h"                    // Category=Arabic
#include "Kharoshthi.h"                // Category=Indic
#include "Khmer.h"
#include "Kokuji.h"                    // Category=Japanese National characters
#include "Lao.h"
#include "LatinLigatures.h"            // Category=Latin
#include "Lepcha.h"                    // Category=Indic
#include "Limbu.h"                     // Category=Indic
#include "LinearBIdeograms.h"          // Category=Historic
#include "LinearBSyllabary.h"          // Category=Historic
#include "Malayalam.h"                 // Category=Indic
#include "MathematicalGreek.h"
#include "MathematicalLatin.h"
#include "MathematicalNumerals.h"
#include "MathematicalOperators.h"
#include "MeeteiMayak.h"               // Category=Indic
#include "MendeKikakui.h"
#include "MeroiticCursive.h"           // Category=Historic
#include "MeroiticHieroglyphs.h"       // Category=Historic
#include "Miao.h"
#include "Mongolian.h"
#include "MUFI_3_0.h"
#include "Myanmar.h"
#include "NewTaiLue.h"
#include "Nko.h"
#include "Ogham.h"
#include "OlChiki.h"                   // Category=Indic
#include "OldItalic.h"
#include "OldSouthArabian.h"
#include "Oriya.h"                     // Category=Indic
#include "Osmanya.h"
#include "PanAfricanLatin.h"           // Category=Latin
#include "Pashto.h"                    // Category=Arabic
#include "PhagsPa.h"
#include "Pinyin.h"                    // Category=Latin
#include "Polynesian.h"
#include "PolytonicGreek.h"            // Category=Greek
#include "Rejang.h"
#include "Romanian.h"                  // Category=Latin
#include "Runic.h"
#include "Saurashtra.h"                // Category=Indic
#include "SimplifiedChinese.h"         // Category=Chinese Top 3500 simplified
#include "Sindhi.h"                    // Category=Arabic
#include "Sinhala.h"                   // Category=Indic
#include "SouthKoreanHanja.h"          // Category=Korean list of 1800 Hanja taught in South Korean schools
#include "Sundanese.h"
#include "SylotiNagri.h"               // Category=Indic
#include "Syriac.h"
#include "TaiLe.h"
#include "TaiTham.h"
#include "TaiViet.h"
#include "Tamil.h"                     // Category=Indic
#include "Telugu.h"                    // Category=Indic
#include "Thaana.h"
#include "Thai.h"
#include "Tibetan.h"
#include "Tifinagh.h"
#include "TraditionalChinese.h"        // Category=Chinese Top 3500 traditional
#include "Turkish.h"                   // Category=Latin
#include "Uighur.h"                    // Category=Arabic
#include "Urdu.h"                      // Category=Arabic
#include "Vai.h"
#include "VedicExtensions.h"           // Category=Indic
#include "Venda.h"
#include "Vietnamese.h"                // Category=Latin
#include "WesternEuropean.h"           // Category=Latin
#include "Yi.h"
#include "ZhuYinFuHao.h"               // Category=Chinese Zhuyin phonetics (bopomofo)

